Compare commits

...
13 Commits
Author SHA1 Message Date
William Desportes 452a995fe6 Install the extension from the folder directly
Ref: https://github.com/docker-library/official-images/pull/20045

As advised on https://github.com/docker-library/official-images/pull/20045
2025-10-08 22:49:29 +02:00
Isaac Bennetch 5a80b52270 CHANGELOG for 5.2.3.1 (issue #465)
Signed-off-by: Isaac Bennetch <bennetch@gmail.com>
2025-10-08 12:37:25 -04:00
Daniel RudolfandIsaac Bennetch 4bce58ddab Remove superfluous uploadprogress.tar.gz
Signed-off-by: Daniel Rudolf <github.com@daniel-rudolf.de>
2025-10-08 12:35:01 -04:00
William Desportes fc38d23ff1 Enable the uploadprogress extension
Fixes #437
Ref: 6bfaf085b4

Missing copying that

Signed-off-by: William Desportes <williamdes@wdes.fr>
2025-10-08 10:28:34 +02:00
William Desportes 739bbbbe8c Add CHANGELOG entries 2025-10-08 10:27:31 +02:00
William Desportes 6bfaf085b4 Enable the uploadprogress extension
Fixes #437

Signed-off-by: William Desportes <williamdes@wdes.fr>
2025-10-08 10:24:52 +02:00
William Desportes 04b3786429 Update to 5.2.3 release
Signed-off-by: William Desportes <williamdes@wdes.fr>
2025-10-08 10:01:07 +02:00
William Desportes 5e91d468ca Update to PHP 8.3
Fixes #464
2025-10-08 10:01:02 +02:00
William Desportes 0c64340e5d Update generate-stackbrew-library.sh to understand the new ENV separator
Ref: 24c2f1f855
2025-08-28 20:41:58 +02:00
Isaac Bennetch 24c2f1f855 Update ENV statements to use = to match Docker standards
Sometimes the old way generates warnings when building

Signed-off-by: Isaac Bennetch <bennetch@gmail.com>
2025-02-01 15:29:24 -05:00
William Desportes 6515c2bd9c Add MariaDB 11.4 to testing and MySQL 8.4, and exclude MySQL from the SSL test 2025-01-24 11:12:17 +01:00
William Desportes 7d51494097 Remove not needed audit plugin for SSL test 2025-01-24 10:44:31 +01:00
William Desportes 188a0e3542 Do not remove manually marked dependencies of php extensions 2025-01-24 09:52:08 +01:00
10 changed files with 152 additions and 76 deletions
+35 -2
View File
@@ -14,8 +14,41 @@ jobs:
strategy:
fail-fast: false
matrix:
database-image: ["mariadb:10.6", "mariadb:10.11", "mariadb:latest", "mysql:5.7", "mysql:latest"]
configuration: ["default", "one-host", "one-socket-host", "config-mount-dir", "fs-import-export", "different-apache-port", "run-as-www-data", "one-ssl-host"]
database-image: [
"mariadb:10.6",
"mariadb:10.11",
"mariadb:11.4",
"mariadb:latest",
"mysql:5.7",
"mysql:8.4",
"mysql:latest"
]
configuration: [
"default",
"one-host",
"one-socket-host",
"config-mount-dir",
"fs-import-export",
"different-apache-port",
"run-as-www-data"
]
include:
- {
database-image: "mariadb:10.6",
configuration: "one-ssl-host"
}
- {
database-image: "mariadb:10.11",
configuration: "one-ssl-host"
}
- {
database-image: "mariadb:11.4",
configuration: "one-ssl-host"
}
- {
database-image: "mariadb:latest",
configuration: "one-ssl-host"
}
steps:
- uses: actions/checkout@v4
+9
View File
@@ -4,6 +4,15 @@ All notable changes to this project will be documented in this file.
The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/).
## [5.2.3.1] - 2025-10-08
- Remove leftover uploadprogress.tar.gz download after installation (#465)
## [5.2.3] - 2025-10-08
- Update to PHP 8.3
- Enable the `uploadprogress` extension
## [5.2.2] - 2025-01-21
- Add `TZ` env var to change PHP `date.timezone` (#133)
+20 -9
View File
@@ -1,5 +1,8 @@
FROM php:%%PHP_VERSION%%-%%VARIANT%%
ENV UPLOAD_PROGRESS_EXT_URL="https://github.com/php/pecl-php-uploadprogress/archive/refs/tags/uploadprogress-2.0.2.tar.gz"
ENV UPLOAD_PROGRESS_SHA256="fe3f6cdfcedad563c970c4fd1cda31e422cfc0df5cc9a217d8c80ed3c8d137f5"
# install and docker-entrypoint.sh dependencies
RUN apk add --no-cache \
bash \
@@ -19,6 +22,11 @@ RUN set -ex; \
libzip-dev \
; \
\
mkdir -p /tmp/uploadprogress; \
curl -fsSL -o /tmp/uploadprogress/uploadprogress.tar.gz "$UPLOAD_PROGRESS_EXT_URL"; \
echo "$UPLOAD_PROGRESS_SHA256 /tmp/uploadprogress/uploadprogress.tar.gz" | sha256sum -c -; \
tar -xf /tmp/uploadprogress/uploadprogress.tar.gz -C /tmp/uploadprogress --strip-components=1; \
\
docker-php-ext-configure gd --with-freetype --with-jpeg --with-webp --with-xpm; \
docker-php-ext-install -j "$(nproc)" \
bz2 \
@@ -27,8 +35,11 @@ RUN set -ex; \
opcache \
zip \
bcmath \
/tmp/uploadprogress \
; \
\
rm -r /tmp/uploadprogress; \
\
runDeps="$( \
scanelf --needed --nobanner --format '%n#p' --recursive /usr/local/lib/php/extensions \
| tr ',' '\n' \
@@ -40,12 +51,12 @@ RUN set -ex; \
# set recommended PHP.ini settings
# see https://secure.php.net/manual/en/opcache.installation.php
ENV PMA_SSL_DIR /etc/phpmyadmin/ssl
ENV MAX_EXECUTION_TIME 600
ENV MEMORY_LIMIT 512M
ENV UPLOAD_LIMIT 2048K
ENV TZ UTC
ENV SESSION_SAVE_PATH /sessions
ENV PMA_SSL_DIR=/etc/phpmyadmin/ssl
ENV MAX_EXECUTION_TIME=600
ENV MEMORY_LIMIT=512M
ENV UPLOAD_LIMIT=2048K
ENV TZ=UTC
ENV SESSION_SAVE_PATH=/sessions
RUN set -ex; \
mkdir $SESSION_SAVE_PATH; \
mkdir -p $PMA_SSL_DIR; \
@@ -82,9 +93,9 @@ RUN set -ex; \
USER www-data:www-data
# Calculate download URL
ENV VERSION %%VERSION%%
ENV SHA256 %%SHA256%%
ENV URL https://files.phpmyadmin.net/phpMyAdmin/${VERSION}/phpMyAdmin-${VERSION}-all-languages.tar.xz
ENV VERSION=%%VERSION%%
ENV SHA256=%%SHA256%%
ENV URL=https://files.phpmyadmin.net/phpMyAdmin/${VERSION}/phpMyAdmin-${VERSION}-all-languages.tar.xz
LABEL org.opencontainers.image.title="Official phpMyAdmin Docker image" \
org.opencontainers.image.description="Run phpMyAdmin with Alpine, Apache and PHP FPM." \
+21 -15
View File
@@ -1,5 +1,8 @@
FROM php:%%PHP_VERSION%%-%%VARIANT%%
ENV UPLOAD_PROGRESS_EXT_URL="https://github.com/php/pecl-php-uploadprogress/archive/refs/tags/uploadprogress-2.0.2.tar.gz"
ENV UPLOAD_PROGRESS_SHA256="fe3f6cdfcedad563c970c4fd1cda31e422cfc0df5cc9a217d8c80ed3c8d137f5"
# Install dependencies
RUN set -ex; \
\
@@ -21,6 +24,11 @@ RUN set -ex; \
libzip-dev \
; \
\
mkdir -p /tmp/uploadprogress; \
curl -fsSL -o /tmp/uploadprogress/uploadprogress.tar.gz "$UPLOAD_PROGRESS_EXT_URL"; \
echo "$UPLOAD_PROGRESS_SHA256 /tmp/uploadprogress/uploadprogress.tar.gz" | sha256sum -c -; \
tar -xf /tmp/uploadprogress/uploadprogress.tar.gz -C /tmp/uploadprogress --strip-components=1; \
\
docker-php-ext-configure gd --with-freetype --with-jpeg --with-webp --with-xpm; \
docker-php-ext-install -j "$(nproc)" \
bz2 \
@@ -29,8 +37,11 @@ RUN set -ex; \
opcache \
zip \
bcmath \
/tmp/uploadprogress \
; \
\
rm -r /tmp/uploadprogress; \
\
apt-mark auto '.*' > /dev/null; \
apt-mark manual $savedAptMark; \
extdir="$(php -r 'echo ini_get("extension_dir");')"; \
@@ -51,21 +62,16 @@ RUN set -ex; \
ldd "$extdir"/*.so | grep -qzv "=> not found" || (echo "Sanity check failed: missing libraries:"; ldd "$extdir"/*.so | grep " => not found"; exit 1); \
ldd "$extdir"/*.so | grep -q "libzip.so.* => .*/libzip.so.*" || (echo "Sanity check failed: libzip.so is not referenced"; ldd "$extdir"/*.so; exit 1); \
err="$(php --version 3>&1 1>&2 2>&3)"; \
[ -z "$err" ] || (echo "Sanity check failed: php returned errors; $err"; exit 1;); \
\
apt-mark auto '.*' > /dev/null; \
apt-mark manual $savedAptMark; \
apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; \
rm -rf /var/lib/apt/lists/*
[ -z "$err" ] || (echo "Sanity check failed: php returned errors; $err"; exit 1;);
# set recommended PHP.ini settings
# see https://secure.php.net/manual/en/opcache.installation.php
ENV PMA_SSL_DIR /etc/phpmyadmin/ssl
ENV MAX_EXECUTION_TIME 600
ENV MEMORY_LIMIT 512M
ENV UPLOAD_LIMIT 2048K
ENV TZ UTC
ENV SESSION_SAVE_PATH /sessions
ENV PMA_SSL_DIR=/etc/phpmyadmin/ssl
ENV MAX_EXECUTION_TIME=600
ENV MEMORY_LIMIT=512M
ENV UPLOAD_LIMIT=2048K
ENV TZ=UTC
ENV SESSION_SAVE_PATH=/sessions
RUN set -ex; \
mkdir $SESSION_SAVE_PATH; \
mkdir -p $PMA_SSL_DIR; \
@@ -102,9 +108,9 @@ RUN set -ex; \
USER www-data:www-data
# Calculate download URL
ENV VERSION %%VERSION%%
ENV SHA256 %%SHA256%%
ENV URL https://files.phpmyadmin.net/phpMyAdmin/${VERSION}/phpMyAdmin-${VERSION}-all-languages.tar.xz
ENV VERSION=%%VERSION%%
ENV SHA256=%%SHA256%%
ENV URL=https://files.phpmyadmin.net/phpMyAdmin/${VERSION}/phpMyAdmin-${VERSION}-all-languages.tar.xz
LABEL org.opencontainers.image.title="Official phpMyAdmin Docker image" \
org.opencontainers.image.description="Run phpMyAdmin with Alpine, Apache and PHP FPM." \
+22 -16
View File
@@ -1,5 +1,8 @@
# DO NOT EDIT: created by update.sh from Dockerfile-debian.template
FROM php:8.2-apache
FROM php:8.3-apache
ENV UPLOAD_PROGRESS_EXT_URL="https://github.com/php/pecl-php-uploadprogress/archive/refs/tags/uploadprogress-2.0.2.tar.gz"
ENV UPLOAD_PROGRESS_SHA256="fe3f6cdfcedad563c970c4fd1cda31e422cfc0df5cc9a217d8c80ed3c8d137f5"
# Install dependencies
RUN set -ex; \
@@ -22,6 +25,11 @@ RUN set -ex; \
libzip-dev \
; \
\
mkdir -p /tmp/uploadprogress; \
curl -fsSL -o /tmp/uploadprogress/uploadprogress.tar.gz "$UPLOAD_PROGRESS_EXT_URL"; \
echo "$UPLOAD_PROGRESS_SHA256 /tmp/uploadprogress/uploadprogress.tar.gz" | sha256sum -c -; \
tar -xf /tmp/uploadprogress/uploadprogress.tar.gz -C /tmp/uploadprogress --strip-components=1; \
\
docker-php-ext-configure gd --with-freetype --with-jpeg --with-webp --with-xpm; \
docker-php-ext-install -j "$(nproc)" \
bz2 \
@@ -30,8 +38,11 @@ RUN set -ex; \
opcache \
zip \
bcmath \
/tmp/uploadprogress \
; \
\
rm -r /tmp/uploadprogress; \
\
apt-mark auto '.*' > /dev/null; \
apt-mark manual $savedAptMark; \
extdir="$(php -r 'echo ini_get("extension_dir");')"; \
@@ -52,21 +63,16 @@ RUN set -ex; \
ldd "$extdir"/*.so | grep -qzv "=> not found" || (echo "Sanity check failed: missing libraries:"; ldd "$extdir"/*.so | grep " => not found"; exit 1); \
ldd "$extdir"/*.so | grep -q "libzip.so.* => .*/libzip.so.*" || (echo "Sanity check failed: libzip.so is not referenced"; ldd "$extdir"/*.so; exit 1); \
err="$(php --version 3>&1 1>&2 2>&3)"; \
[ -z "$err" ] || (echo "Sanity check failed: php returned errors; $err"; exit 1;); \
\
apt-mark auto '.*' > /dev/null; \
apt-mark manual $savedAptMark; \
apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; \
rm -rf /var/lib/apt/lists/*
[ -z "$err" ] || (echo "Sanity check failed: php returned errors; $err"; exit 1;);
# set recommended PHP.ini settings
# see https://secure.php.net/manual/en/opcache.installation.php
ENV PMA_SSL_DIR /etc/phpmyadmin/ssl
ENV MAX_EXECUTION_TIME 600
ENV MEMORY_LIMIT 512M
ENV UPLOAD_LIMIT 2048K
ENV TZ UTC
ENV SESSION_SAVE_PATH /sessions
ENV PMA_SSL_DIR=/etc/phpmyadmin/ssl
ENV MAX_EXECUTION_TIME=600
ENV MEMORY_LIMIT=512M
ENV UPLOAD_LIMIT=2048K
ENV TZ=UTC
ENV SESSION_SAVE_PATH=/sessions
RUN set -ex; \
mkdir $SESSION_SAVE_PATH; \
mkdir -p $PMA_SSL_DIR; \
@@ -103,9 +109,9 @@ RUN set -ex; \
USER www-data:www-data
# Calculate download URL
ENV VERSION 5.2.2
ENV SHA256 f881819a3b11e653b0212afaf0cc105db85c767715cb3f5852670f7fc36c9669
ENV URL https://files.phpmyadmin.net/phpMyAdmin/${VERSION}/phpMyAdmin-${VERSION}-all-languages.tar.xz
ENV VERSION=5.2.3
ENV SHA256=57881348297c4412f86c410547cf76b4d8a236574dd2c6b7d6a2beebe7fc44e3
ENV URL=https://files.phpmyadmin.net/phpMyAdmin/${VERSION}/phpMyAdmin-${VERSION}-all-languages.tar.xz
LABEL org.opencontainers.image.title="Official phpMyAdmin Docker image" \
org.opencontainers.image.description="Run phpMyAdmin with Alpine, Apache and PHP FPM." \
+21 -10
View File
@@ -1,5 +1,8 @@
# DO NOT EDIT: created by update.sh from Dockerfile-alpine.template
FROM php:8.2-fpm-alpine
FROM php:8.3-fpm-alpine
ENV UPLOAD_PROGRESS_EXT_URL="https://github.com/php/pecl-php-uploadprogress/archive/refs/tags/uploadprogress-2.0.2.tar.gz"
ENV UPLOAD_PROGRESS_SHA256="fe3f6cdfcedad563c970c4fd1cda31e422cfc0df5cc9a217d8c80ed3c8d137f5"
# install and docker-entrypoint.sh dependencies
RUN apk add --no-cache \
@@ -20,6 +23,11 @@ RUN set -ex; \
libzip-dev \
; \
\
mkdir -p /tmp/uploadprogress; \
curl -fsSL -o /tmp/uploadprogress/uploadprogress.tar.gz "$UPLOAD_PROGRESS_EXT_URL"; \
echo "$UPLOAD_PROGRESS_SHA256 /tmp/uploadprogress/uploadprogress.tar.gz" | sha256sum -c -; \
tar -xf /tmp/uploadprogress/uploadprogress.tar.gz -C /tmp/uploadprogress --strip-components=1; \
\
docker-php-ext-configure gd --with-freetype --with-jpeg --with-webp --with-xpm; \
docker-php-ext-install -j "$(nproc)" \
bz2 \
@@ -28,8 +36,11 @@ RUN set -ex; \
opcache \
zip \
bcmath \
/tmp/uploadprogress \
; \
\
rm -r /tmp/uploadprogress; \
\
runDeps="$( \
scanelf --needed --nobanner --format '%n#p' --recursive /usr/local/lib/php/extensions \
| tr ',' '\n' \
@@ -41,12 +52,12 @@ RUN set -ex; \
# set recommended PHP.ini settings
# see https://secure.php.net/manual/en/opcache.installation.php
ENV PMA_SSL_DIR /etc/phpmyadmin/ssl
ENV MAX_EXECUTION_TIME 600
ENV MEMORY_LIMIT 512M
ENV UPLOAD_LIMIT 2048K
ENV TZ UTC
ENV SESSION_SAVE_PATH /sessions
ENV PMA_SSL_DIR=/etc/phpmyadmin/ssl
ENV MAX_EXECUTION_TIME=600
ENV MEMORY_LIMIT=512M
ENV UPLOAD_LIMIT=2048K
ENV TZ=UTC
ENV SESSION_SAVE_PATH=/sessions
RUN set -ex; \
mkdir $SESSION_SAVE_PATH; \
mkdir -p $PMA_SSL_DIR; \
@@ -83,9 +94,9 @@ RUN set -ex; \
USER www-data:www-data
# Calculate download URL
ENV VERSION 5.2.2
ENV SHA256 f881819a3b11e653b0212afaf0cc105db85c767715cb3f5852670f7fc36c9669
ENV URL https://files.phpmyadmin.net/phpMyAdmin/${VERSION}/phpMyAdmin-${VERSION}-all-languages.tar.xz
ENV VERSION=5.2.3
ENV SHA256=57881348297c4412f86c410547cf76b4d8a236574dd2c6b7d6a2beebe7fc44e3
ENV URL=https://files.phpmyadmin.net/phpMyAdmin/${VERSION}/phpMyAdmin-${VERSION}-all-languages.tar.xz
LABEL org.opencontainers.image.title="Official phpMyAdmin Docker image" \
org.opencontainers.image.description="Run phpMyAdmin with Alpine, Apache and PHP FPM." \
+22 -16
View File
@@ -1,5 +1,8 @@
# DO NOT EDIT: created by update.sh from Dockerfile-debian.template
FROM php:8.2-fpm
FROM php:8.3-fpm
ENV UPLOAD_PROGRESS_EXT_URL="https://github.com/php/pecl-php-uploadprogress/archive/refs/tags/uploadprogress-2.0.2.tar.gz"
ENV UPLOAD_PROGRESS_SHA256="fe3f6cdfcedad563c970c4fd1cda31e422cfc0df5cc9a217d8c80ed3c8d137f5"
# Install dependencies
RUN set -ex; \
@@ -22,6 +25,11 @@ RUN set -ex; \
libzip-dev \
; \
\
mkdir -p /tmp/uploadprogress; \
curl -fsSL -o /tmp/uploadprogress/uploadprogress.tar.gz "$UPLOAD_PROGRESS_EXT_URL"; \
echo "$UPLOAD_PROGRESS_SHA256 /tmp/uploadprogress/uploadprogress.tar.gz" | sha256sum -c -; \
tar -xf /tmp/uploadprogress/uploadprogress.tar.gz -C /tmp/uploadprogress --strip-components=1; \
\
docker-php-ext-configure gd --with-freetype --with-jpeg --with-webp --with-xpm; \
docker-php-ext-install -j "$(nproc)" \
bz2 \
@@ -30,8 +38,11 @@ RUN set -ex; \
opcache \
zip \
bcmath \
/tmp/uploadprogress \
; \
\
rm -r /tmp/uploadprogress; \
\
apt-mark auto '.*' > /dev/null; \
apt-mark manual $savedAptMark; \
extdir="$(php -r 'echo ini_get("extension_dir");')"; \
@@ -49,21 +60,16 @@ RUN set -ex; \
ldd "$extdir"/*.so | grep -qzv "=> not found" || (echo "Sanity check failed: missing libraries:"; ldd "$extdir"/*.so | grep " => not found"; exit 1); \
ldd "$extdir"/*.so | grep -q "libzip.so.* => .*/libzip.so.*" || (echo "Sanity check failed: libzip.so is not referenced"; ldd "$extdir"/*.so; exit 1); \
err="$(php --version 3>&1 1>&2 2>&3)"; \
[ -z "$err" ] || (echo "Sanity check failed: php returned errors; $err"; exit 1;); \
\
apt-mark auto '.*' > /dev/null; \
apt-mark manual $savedAptMark; \
apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; \
rm -rf /var/lib/apt/lists/*
[ -z "$err" ] || (echo "Sanity check failed: php returned errors; $err"; exit 1;);
# set recommended PHP.ini settings
# see https://secure.php.net/manual/en/opcache.installation.php
ENV PMA_SSL_DIR /etc/phpmyadmin/ssl
ENV MAX_EXECUTION_TIME 600
ENV MEMORY_LIMIT 512M
ENV UPLOAD_LIMIT 2048K
ENV TZ UTC
ENV SESSION_SAVE_PATH /sessions
ENV PMA_SSL_DIR=/etc/phpmyadmin/ssl
ENV MAX_EXECUTION_TIME=600
ENV MEMORY_LIMIT=512M
ENV UPLOAD_LIMIT=2048K
ENV TZ=UTC
ENV SESSION_SAVE_PATH=/sessions
RUN set -ex; \
mkdir $SESSION_SAVE_PATH; \
mkdir -p $PMA_SSL_DIR; \
@@ -100,9 +106,9 @@ RUN set -ex; \
USER www-data:www-data
# Calculate download URL
ENV VERSION 5.2.2
ENV SHA256 f881819a3b11e653b0212afaf0cc105db85c767715cb3f5852670f7fc36c9669
ENV URL https://files.phpmyadmin.net/phpMyAdmin/${VERSION}/phpMyAdmin-${VERSION}-all-languages.tar.xz
ENV VERSION=5.2.3
ENV SHA256=57881348297c4412f86c410547cf76b4d8a236574dd2c6b7d6a2beebe7fc44e3
ENV URL=https://files.phpmyadmin.net/phpMyAdmin/${VERSION}/phpMyAdmin-${VERSION}-all-languages.tar.xz
LABEL org.opencontainers.image.title="Official phpMyAdmin Docker image" \
org.opencontainers.image.description="Run phpMyAdmin with Alpine, Apache and PHP FPM." \
+1 -1
View File
@@ -67,7 +67,7 @@ latest="$(curl -fsSL 'https://www.phpmyadmin.net/home_page/version.json' | jq -r
for variant in apache fpm fpm-alpine; do
commit="$(dirCommit "$variant")"
fullversion="$(git show "$commit":"$variant/Dockerfile" | awk '$1 == "ENV" && $2 == "VERSION" { print $3; exit }')"
fullversion="$(git show "$commit":"$variant/Dockerfile" | awk -F" |=" '$1 == "ENV" && $2 == "VERSION" { print $3; exit }')"
versionAliases=( "$fullversion" "${fullversion%.*}" "${fullversion%.*.*}" )
if [ "$fullversion" = "$latest" ]; then
@@ -4,16 +4,10 @@ services:
db_server:
image: ${DB:-mariadb:11}
command:
- "--plugin_load_add=server_audit"
- "--server_audit=FORCE_PLUS_PERMANENT"
- "--server_audit_events=connect"
- "--server_audit_logging"
#- "--server_audit_file_path=/var/log/mariadb-audit/audit.log"
- "--ssl-ca=/etc/phpmyadmin/ssl/ca-cert.pem"
- "--ssl-cert=/etc/phpmyadmin/ssl/server-cert.pem"
- "--ssl-key=/etc/phpmyadmin/ssl/server-key.pem"
- "--require-secure-transport=ON"
- "--server-audit-logging=ON"
environment:
MARIADB_USER: secure-user
MARIADB_PASSWORD: "${TESTSUITE_PASSWORD:-my-secret-pw}"
+1 -1
View File
@@ -14,7 +14,7 @@ declare -A base=(
)
declare -A php_version=(
[default]='8.2'
[default]='8.3'
)
declare -A cmd=(